# Uses of Class
org.eclipse.jface.text.link.LinkedPosition

Packages that use LinkedPosition
Package
Description
org.eclipse.jface.text.link
Application programming interfaces for interaction with the Eclipse text editor's linked position support.

## Uses of LinkedPosition in org.eclipse.jface.text.link

Subclasses of LinkedPosition in org.eclipse.jface.text.link
Modifier and Type
Class
Description
`class`
`ProposalPosition`
LinkedPosition with added completion proposals.
Methods in org.eclipse.jface.text.link that return LinkedPosition
Modifier and Type
Method
Description
`LinkedPosition`
LinkedModeModel.`findPosition(LinkedPosition toFind)`
Finds the position in this model that is closest after `toFind`.
`LinkedPosition[]`
LinkedPositionGroup.`getPositions()`
Returns the positions contained in the receiver as an array.
Methods in org.eclipse.jface.text.link that return types with arguments of type LinkedPosition
Modifier and Type
Method
Description
`List<LinkedPosition>`
LinkedModeModel.`getTabStopSequence()`
Returns the positions in this model that have a tab stop, in the order they were added.
Methods in org.eclipse.jface.text.link with parameters of type LinkedPosition
Modifier and Type
Method
Description
`void`
LinkedPositionGroup.`addPosition(LinkedPosition position)`
Adds a position to this group.
`LinkedPosition`
LinkedModeModel.`findPosition(LinkedPosition toFind)`
Finds the position in this model that is closest after `toFind`.
`boolean`
LinkedPosition.`includes(LinkedPosition position)`
Returns whether this position includes `position`.
`void`
LinkedModeUI.ILinkedModeUIFocusListener.`linkingFocusGained(LinkedPosition position, LinkedModeUI.LinkedModeUITarget target)`
Called when the UI for the linked mode gives focus to a linked position.
`void`
LinkedModeUI.ILinkedModeUIFocusListener.`linkingFocusLost(LinkedPosition position, LinkedModeUI.LinkedModeUITarget target)`
Called when the UI for the linked mode leaves a linked position.
`boolean`
LinkedPosition.`overlapsWith(LinkedPosition position)`
Returns whether this position overlaps with `position`.